Summary:	Risk clone
Summary(pl.UTF-8):	Klon Ryzyka
Name:		teg
Version:	0.11.2
Release:	4
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/teg/%{name}-%{version}.tar.bz2
# Source0-md5:	880c18eb586c4642fe14e6b41e8a642f
Patch0:		%{name}-desktop.patch
URL:		http://teg.sourceforge.net/
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libgnome-devel >= 2.0.0
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun):	GConf2
Requires:	glib2 >= 2.0.0
Requires:	libgnome >= 2.0.0
Requires:	libgnomeui >= 2.0.0
Requires:	libxml2 >= 2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Táctico y
Estratégico de la Guerra', which is a pseudo-clone of Risk,
a multiplayer turn-based strategy game. Some rules are different.

%description -l pl.UTF-8
Tenes Emapandas Graciela (TEG) jest klonem 'Plan Táctico y Estratégico
de la Guerra', który jest pseudo-klonem Ryzyka, strategicznej gry
turowej dla wielu graczy. Niektóre zasady są inne.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure \
	--with-readline \
	--without-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONFTOOL=/bin/true \
	Gamesdir=%{_desktopdir}

mv $RPM_BUILD_ROOT%{_datadir}/locale/hu{_HU,}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install teg.schemas

%preun
%gconf_schema_uninstall teg.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog PEOPLE README README.GGZ TODO
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/teg_icono.png
%{_pixmapsdir}/teg_pix
%{_desktopdir}/*.desktop
%{_sysconfdir}/gconf/schemas/teg.schemas
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/teg.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f35492
- release 4 (by relup.sh)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 3c88b94
- rebuild with readline 7.0
- release 3 (by relup.sh)

* Thu Apr 09 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 549f5be
- fixed locale name (hu_HU -> hu)
- release 2

* Mon Apr 23 2007 darekr <darekr@pld-linux.org> c73bed4
- added AUTHORS to %doc

* Mon Apr 23 2007 blekot <blekot@pld-linux.org> a2b9210
- up to 0.11.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 37b3882
- tabs in preamble

* Sun Feb 11 2007 qrczak <qrczak@pld-linux.org> cf10b54
- Spec converted to UTF-8.

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a05f85
- new readline, 5.0

* Mon May 30 2005 Marcin Banasiak <marcin.banasiak@gmail.com> c0d7cf6
- unified sf URL

* Fri May 13 2005 ankry <ankry@pld-linux.org> 58343e8
- desktop fix

* Fri May 13 2005 ankry <ankry@pld-linux.org> edf0b45
- encoding fix

* Fri Apr 29 2005 paladine <paladine@pld-linux.org> b8c287e
- new style macros, rel. 5

* Sat Apr 09 2005 Adam Gołębiowski <adamg@pld-linux.org> 49a5f06
- release 4 (rebuild with new libhowl)

* Thu Nov 04 2004 paladine <paladine@pld-linux.org> 1ecf42f
- rel 3 for fixed desktop patch

* Thu Nov 04 2004 paladine <paladine@pld-linux.org> 30f47fa
- Categories fix

* Sun Jun 13 2004 averne <averne@pld-linux.org> a6fdcc1
- s/Gconf2/GConf2/g

* Thu Apr 08 2004 Jakub Bogusz <qboosh@pld-linux.org> e35fb40
- replaced separate .desktop by desktop patch, switched to vfolders
- fixed build on amd64, release 2

* Thu Apr 08 2004 Jakub Bogusz <qboosh@pld-linux.org> 47e97af
- fixes+pl+Categories

* Thu Apr 08 2004 Jakub Bogusz <qboosh@pld-linux.org> 327ccdb
- replaced by teg-desktop.patch

* Tue Dec 30 2003 ankry <ankry@pld-linux.org> bed1003
- typos, encoding fixes, added vi-line, etc.

